Secure Email: system requirements for 4SecureMail

Secure Email Compatibility and System Requirements

Our secure email server has been tested, and is fully compatible with nearly every email and browser client produced this century. And, it works with almost any computer, any operating system.

Web Browsers

Microsoft IE 5.01+
Firefox
Apple Safari
Google Chrome
Netscape Communicator 4.7+
Mozilla 1.0+
AOL 5+
Opera 7+
Red Hat Linux Konqeror
Camino

Email Clients

Outlook & Outlook Express
Windows Mail
Thunderbird
Netscape Communicator 4.51+
Eudora 6.2+ (PC & Mac 9.2+)
Apple Mail (MacOS 10.2 or later)
Mac-Entourage v.X for MacOS X

Most modern Email Apps with
POP/IMAP are compatible, including
those found on mobile devices,
e.g. IPhone, IPad, Androids (including Samsung Galaxy), Blackberry,
Palm and Windows Mobile.

Server settings can be found here.

 

graphic spacer Order Risk-Free
Instant Activation
graphic spacer
image shows graphic spacer for 4securemail navigation Compare Service Plans
image shows graphic spacer for 4securemail navigation How It Works
spacer graphic System Requirements
spacer graphic About SSL
spacer graphic About Spam Blocking
spacer graphic Configuration
spacer graphic SGC
image shows graphic spacer for 4securemail navigation Take A Tour
image shows graphic spacer for 4securemail navigation Privacy Tools
image shows graphic spacer for 4securemail navigation Webmasters Get Free Account
image shows graphic spacer for 4securemail navigation About Us

 
Secure Email:
Email Security On
Basically Any Modern Browser

Secure E-mail Home | Account Log In | Help | FAQ
graphic spacer to force scrollbar in older browsers